# kol-toolbar

<!-- Auto Generated Below -->


## Properties

| Property              | Attribute      | Description                                                                                                        | Type                                      | Default     |
| --------------------- | -------------- | ------------------------------------------------------------------------------------------------------------------ | ----------------------------------------- | ----------- |
| `_items` _(required)_ | --             | Defines the functional elements of toolbar to render (e.g. kol-link, kol-button).                                  | `ToolbarItemPropType[]`                   | `undefined` |
| `_label` _(required)_ | `_label`       | Defines the visible or semantic label of the component (e.g. aria-label, label, headline, caption, summary, etc.). | `string`                                  | `undefined` |
| `_orientation`        | `_orientation` | Defines whether the orientation of the component is horizontal or vertical.                                        | `"horizontal" \| "vertical" \| undefined` | `undefined` |


## Methods

### `click() => Promise<void>`

Triggers a click on the currently active toolbar item.

#### Returns

Type: `Promise<void>`



### `focus(options?: KolFocusOptions) => Promise<void>`

Sets focus on the currently active toolbar item.

#### Parameters

| Name      | Type                           | Description |
| --------- | ------------------------------ | ----------- |
| `options` | `KolFocusOptions \| undefined` |             |

#### Returns

Type: `Promise<void>`




----------------------------------------------


